此内容没有您所选择的语言版本。
9.5. List Members of a Team
Description
Get a list of members that belong to the specified team.
Method and URL Structure
| Method | URL Structure |
|---|---|
GET | /broker/rest/team/:id/members |
Request Parameters
Not applicable
cURL Command Example
$ curl -X GET https://openshift.redhat.com/broker/rest/team/5333d8b2a9429d1c3e0000ae/members --user user@example.com:password
JSON Response
The API returns a list of all members belonging to the specified team.
{
"api_version": 1.6,
"data": [
{
"explicit_role": null,
"from": [
{
"type": "owner",
"role": "view"
}
],
"id": "5333d64fa9429defe8000001",
"links": {
"GET": {
"href": "https://openshift.redhat.com/broker/rest/team/5333d8b2a9429d1c3e0000ae/member/5333d64fa9429defe8000001",
"method": "GET",
"optional_params": [
],
"rel": "Get member",
"required_params": [
]
},
"login": "member@example.com",
"owner": false,
"role": "view",
"type": "user"
}
],
"messages": [
{
"exit_code": 0,
"field": null,
"index": null,
"severity": "info",
"text": "Found 2 members."
}
],
"status": "ok",
"supported_api_versions": [
1.0,
1.1,
1.2,
1.3,
1.4,
1.5,
1.6
],
"type": "members",
"version": "1.6"
}